Forums

Intel Graphics, 64-bit, and Unable to find 32-bit OpenGL

Auteur Réponses
nathanjell Samedi 9 Aoüt 2014 à 21:12
nathanjellAnonymous

Hello all,

 

I've been a user of linux for quite some time now, and have recently been getting into playing some of my older Windows games. Specifically, lately I've been playing Spore and RollerCoaster Tycoon (original). On another linux computer, however, I've been trying to install the games for a sibling of mine. Here's the relevant info:

 

PlayOnLinux 4.2.4

Wine 1.6.1

Linux Mint 14

Linux kernel 3.5.0-15-generic 64-bit

Intel Pentium G3430, using built-in Intel HD graphics

 

As you can see, I'm using the built-in Intel graphics. So the issue that I'm running into is that, when I run PlayOnLinux, I get the error window saying:

PlayOnLinux is unable to find 32bits OpenGL libraries

and if I run it from the shell, I get the output:

Looking for python... 2.7.3 - selected
[main] Message: PlayOnLinux (4.2.4) is starting
[clean_tmp] Message: Cleaning temp directory
/home/nathan/.PlayOnLinux//tmp/check_dd_x86: error while loading shared libraries: libGL.so.1: cannot open shared object file: No such file or directory
[Check_OpenGL] Warning: 
[Check_OpenGL] Message: 64bits direct rendering is enabled
[POL_System_CheckFS] Message: Checking filesystem for /home/nathan/.PlayOnLinux/
[main] Message: Filesystem is compatible
[install_plugins] Message: Checking plugin: Capture...
[install_plugins] Message: Checking plugin: ScreenCap...
[install_plugins] Message: Checking plugin: PlayOnLinux Vault...
[maj_check] Message: List is up to date

 

I've looked around for some time online and can't seem to find other people with this issue using Intel graphics. From within Mint, I have not installed any graphics drivers; rather, I'm using whatever drivers the system automatically selected. I've tried ensuring some packages are installed, specifically the 32-bit versions:

ia32-libs
libgl1-mesa-dri
libgl1-mesa-dri:i386
libgl1-mesa-glx
libgl1-mesa-glx:i386

And, also, as suggested in some articles, I've tried running dpkg --add-architecture i386 and doing all of that, but nothing seems to work. I got both Spore and RollerCoaster Tycoon installed, and RollerCoaster Tycoon runs just fine, but when running Spore it refuses to open and gives an error, complaining that I need to ensure 32-bit color is enabled.

 

At this point, is there much else that I can do to get this to work? Seeing that I'm using Intel graphics, I have no idea what steps to take next for the relevant 32-bit libgl libraries.

 

Thanks for any help/info!

 

nathanjell

 

Edit: added wine version

Edité par nathanjell

petch Dimanche 10 Aoüt 2014 à 12:19
petch
Développeur

Hi,

I can really help on Intel video matters (I avoided this hardware on Linux), I just wanted to add that I hope it's clear for you that "32 bit colors" has nothing to do with drivers or libraries architecture...

nathanjell Dimanche 10 Aoüt 2014 à 16:50
nathanjellAnonymous

Yes, I know that the 32-bit color thing is totally unrelated to the 32-bit drivers/libraries. I figjred I should add in the 32-bit color information, being a relevant error.

 

Thanks

petch Dimanche 10 Aoüt 2014 à 19:10
petch
Développeur

Aital Lundi 11 Aoüt 2014 à 7:33
AitalAnonymous

I had this problem recently and I installed everything until I was blue in the face(including "Yum install mesa*", Fedora obviously.) My problem had to do with the fact I had reinstalled the system to resize my root partition and had backed up my user folder by putting in on a secondary hardrive and copying it back into the folder. In the end It was resolved when I realized I had had links that no longer worked becuase I link my POL folder and resources to put them where I want and needed to fix them again as my RAID has a tendency to get a different uuid or something and messes up my links.

May not be your issues but if it's there it leads to those errors also. I had the .playonlinux in home and the wineprefix folder moved to an unusual location causing the 32bit 64bit and GPGU or something similar.

Edité par Aital

nathanjell Lundi 11 Aoüt 2014 à 17:54
nathanjellAnonymous

Well I don't think that should be an issue here because the user account that I'm using has never used POL before and, as such, everything POL related in the home folder should've been freshly created. I haven't done any sort of partition editing or anything like that and have no symlinks for anything relevant. Wine and POL should all have their stuff in the default locations, so that should all be alright.

 

Thanks for the idea!

DrLove73 Dimanche 22 Mars 2015 à 13:55
DrLove73Anonymous

Just for reference, for CentOS 7 (and Fedora 19) command that solved the problem was

yum install mesa-dri-drivers.i686 mesa-libGL.i686

(mesa-libGL.i686 was just to be sure it is installed, I had it already).

Before that I installed these two:

libGLEW.i686

mesa-libGLU.i686

but I am not sure if those two are needed.